Subject: Re: [PATCH] Revert "powerpc: Handle simultaneous interrupts at once"

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 15 Jun 2017 20:52:24 +1000

On Thu, 2017-06-15 at 16:28 +1000, Michael Ellerman wrote:
> This reverts commit 45cb08f4791ce6a15c54598b4cb73db4b4b8294f.
> 
> For some reason this is causing IRQ problems on Freescale Book3E
> machines, eg on my p5020ds:

This looks like a driver bug.... it could be that you get hammered by
an interrupt, and get away with it because by chance the CPU lets you
go through one or two instructions before firing again, while here we
just take them in a loop.

I suspect a bug in that fsl_ebc driver.

Cheers,
Ben.